<?xml version="1.0" encoding="utf-8"?>
<tp:taxonomyPackage xml:lang="en" xmlns:tp="http://xbrl.org/2016/taxonomy-package" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd">
  <tp:identifier>http://ttelectronicsplc.com/xbrl/2025/20251231 (293AD20E)</tp:identifier>
  <tp:name>2024-12-31_TTELECTRONICSPLC_report</tp:name>
  <tp:description>XBRL Taxonomy prepared for the European Standard Electronic Format</tp:description>
  <tp:version>2025-12-31</tp:version>
  <tp:publisher>TT ELECTRONICS PLC</tp:publisher>
  <tp:publisherURL>http://ttelectronicsplc.com/xbrl/2025</tp:publisherURL>
  <tp:publisherCountry>GB</tp:publisherCountry>
  <tp:publicationDate>2026-04-13</tp:publicationDate>
  <tp:entryPoints>
    <tp:entryPoint>
      <tp:name>TT ELECTRONICS PLC XBRL Taxonomy for 2025-12-31</tp:name>
      <tp:description>TT ELECTRONICS PLC XBRL report for 2025-12-31</tp:description>
      <tp:entryPointDocument href="http://ttelectronicsplc.com/xbrl/2025/213800TJGBW5VFHQEV54-2025-12-31.xsd" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-en.xml" />
      <tp:languages>
        <tp:language>en</tp:language>
      </tp:languages>
    </tp:entryPoint>
  </tp:entryPoints>
</tp:taxonomyPackage>